package com.bipt.intelligentapplicationorchestrationservice.config;


import com.bipt.intelligentapplicationorchestrationservice.properties.AliOssProperties;
import com.bipt.intelligentapplicationorchestrationservice.util.AliOssUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/*
 * 配置类，用于创建阿里云文件上传工具类对象
 */
@Slf4j
@Configuration
public class OssConfiguration {
    private final AliOssProperties aliOssProperties;
    public OssConfiguration(AliOssProperties aliOssProperties) {
        this.aliOssProperties = aliOssProperties;
    }
    @Bean
    public AliOssUtil aliOssUtil(){
        log.info("开始创建阿里云文件上传工具类对象...");
        return new AliOssUtil(
                aliOssProperties.getEndpoint(),
                aliOssProperties.getAccessKeyId(),
                aliOssProperties.getAccessKeySecret(),
                aliOssProperties.getBucketName());
    }
}
